# pull official base image
FROM python:3.7.2

# set environment varibles
ENV PYTHONDONTWRITEBYTECODE 1
ENV PYTHONUNBUFFERED 1

# set work directory
WORKDIR /usr/src/app

# install dependencies
RUN pip install --upgrade pip

COPY ./requirements.txt /usr/src/app/requirements.txt
RUN pip install -r requirements.txt

# copy project
COPY . /usr/src/app/

# add wait for it
RUN git clone https://github.com/vishnubob/wait-for-it.git /wait-for-it
RUN chmod a+x /wait-for-it/wait-for-it.sh

# add entry point
COPY ./django-entrypoint.sh django-entrypoint.sh
ENTRYPOINT ["./django-entrypoint.sh"]
